{ Clut_Fade 1.2 interface file for Think Pascal  }
{ by Chris Sollitto  }
{ 12/21/94  }

{ To use this file with the clut_fade.lib library, be sure to    }
{  include this file in your project after clut_fade.lib and      }
{  place "clutFade" in the uses clause of your main program  }


unit clutFade;

interface


	const
		fadeMainOnly = 1;
		fadeAll = 2;
		fadeAllButMain = 4;

	procedure fade_to_black (numSteps: longInt; fadeFlags: integer; fadeOut: BOOLEAN);
	procedure fade_to_clut (numSteps: longInt; destTab: CTabHandle; aGDevice: GDHandle);
	procedure fade_to_color (numSteps: longInt; destColor: RGBColor; aGDevice: GDHandle);
	procedure copy_gdevice_clut (aGDevice: GDHandle; var copyOfClut: CTabHandle);

{ using clut_fade }

implementation
end.